For the complete documentation index, see llms.txt. This page is also available as Markdown.

API - How to Create a Custom Object

How to dynamically create Custom Objects through the Sprinthub API.

Route

POST /customobjects/objects/:id_definicao?apitoken=your-token&i=your-instance

Query Params

Key
Description

i

Identifier of your instance, subdomain.

apitoken

API token.

Path Params

Key
Description

:id_definicao

Custom Object definition ID. You can check the list of available IDs here.

Testing Custom Object Creation

The request was sent using the software Postman. It should be inserted into the body the fields to be filled in for the Custom Objects, the key must match the alias of each field. The expected response is an object representing the created Object.

To link the created Object to a lead, use the ID returned in this call in the Custom Object relationship request.

Custom Object Creation Request.

Last updated